#menu *{
  	text-decoration: none;
  	user-select: none;
}

#menu{
  	display: none;
}

.menu-open #menu{
  	padding: 0 10vw;
    flex: auto;
}

.menu-open #menu > div{
  	min-height: 100%;
  	display: flex;
    flex-direction: column;
    justify-content: space-between;
  	transform-origin: top left;
}

.menu-container-1{
    display: flex;
	flex-direction: column;
}

.menu-2{
    /*display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    column-gap: 2vw;*/
}

.menu-container-2{
	display: flex;
	justify-content: space-between;
    align-items: flex-end;
}

.menu-3{
	display: flex;
    flex-direction: column;
}

#menu *{
	font-family: Gilroy;
  	font-weight: 800;
  	letter-spacing: 0.05em;
  	text-transform: uppercase;
  	transition: color 300ms;
}

#menu img{	  	
    transform: translateY(0.15em);
    display: inline-block;
    height: 1em;
    width: auto;
    margin: 0 0.4em;
}

#menu a:hover{
  	color: var(--color-red);
}
	
.menu-1 *,
.menu-2 *,
.menu-3 *,
.menu-4 * {
	font-size: 5dvh;
    line-height: 110%;
}

.menu-1 *, .menu-2 * {
    font-size: min(8dvh, 4.5vw);
}

.menu-2 *{
    color: var(--color-3);
}

#menu .menu-2 .a-1:hover{
	color: var(--color-yellow);
}
		
#menu .menu-2 .a-2:hover{
	color: var(--color-green);
}
		
#menu .menu-2 .a-3:hover{
	color: var(--color-cyan);
}

#menu .menu-2 .a-4:hover{
	color: var(--color-orange);
}

#menu .menu-2 .a-5:hover{
	color: var(--color-blue);
}
#menu .menu-2 .a-6:hover{
	color: var(--color-violet);
}
	
.menu-4 *{
    color: var(--color-red);
}

@media (orientation: portrait) {
    .menu-open #menu > div{
    	justify-content: flex-start;
  	}
   
    #menu div * {
    	font-size: 5vw;
      	line-height: 135%;
  	}
  
    .menu-container-1 .menu-2{
        display: flex;
        flex-direction: column;
    }
  
    .menu-container-1 .menu-2 img, .menu-container-1 .menu-2 br{
  	    display: none !important;
    }
    
    .menu-container-2{
    	flex-direction: column;
    	align-items: flex-start;
  	}
}
